Skip to main content
GET
TypeScript

Path Parameters

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

trmId
string
required

Travel Rule Message unique identifier

Response

TRM retrieved successfully

Travel Rule Message information

id
string
required

TRM message ID

Example:

"trm_1234567890abcdef"

externalId
string
required

External ID (e.g., Fireblocks ID)

Example:

"550e8400-e29b-41d4-a716-446655440000"

asset
object
required
amount
string
required

Transaction amount in asset units

Example:

"1000"

direction
enum<string>
required

Transaction direction for TRM (in = inbound, out = outbound)

Available options:
in,
out
Example:

"out"

txnInfo
object
required
ivms101
object
required

IVMS101 data in response format

version
string | null

TRM version

Example:

"1.0"

status
enum<string> | null

Current status of the Travel Rule Message

Available options:
PENDING,
ACCEPTED,
REJECTED,
FAILED
Example:

"ACCEPTED"

reason
string | null

Human readable reason for the current status

Example:

"Travel Rule compliance required for this transaction"

fiatValue
object
originatorVaspId
string | null

ID of the originator VASP

Example:

"did:ethr:0x1234567890abcdef"

beneficiaryVaspId
string | null

ID of the beneficiary VASP

Example:

"did:ethr:0xfedcba0987654321"

providerData
object